{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/user_invitation/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/user_invitation/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% if userInvitation.getUserRegistrationType().name == 'SEEKER' %}
            {% set userInvitationOverviewUrlParameters = {'userRegistrationTypeName': 'suchende'} %}
        {% elseif userInvitation.getUserRegistrationType().name == 'PROVIDER' %}
            {% set userInvitationOverviewUrlParameters = {'userRegistrationTypeName': 'anbietende'} %}
        {% endif %}

        {% set userInvitationOverviewUrlParameters = userInvitationOverviewUrlParameters|merge(fetch_merged_url_parameters_by_session_key_name('userInvitationOverview')) %}

        <a href="{{ path('external_user_user_invitation_overview', userInvitationOverviewUrlParameters) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Einladung bearbeiten</span>

        {% if is_granted('edit', userInvitation) == true %}
            {{ form_widget(userInvitationForm.save, {'label': 'ÄNDERUNG SPEICHERN', 'id': userInvitationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}

            {% set contextMenuListItems = [] %}

            {% set contextMenuListItems = contextMenuListItems|merge([{
                'label': 'Erneut senden',
                'url': path('external_user_user_invitation_resend', {'userInvitationId': userInvitation.getId()}),
                'icon': 'mail'
            }]) %}

            {% if is_granted('delete', userInvitation) == true %}
                {% set contextMenuListItems = contextMenuListItems|merge([{
                    'label': 'Löschen',
                    'url': path('external_user_user_invitation_delete', {'userInvitationId': userInvitation.getId()}),
                    'icon': 'delete_forever'
                }]) %}
            {% endif %}

            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'user_invitation',
                'listItems': contextMenuListItems
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card">
            <div class="p-4">
                {{ form_start(userInvitationForm, {'attr': {'id': userInvitationForm.vars.id ~ '_form'}}) }}
                {{ form_errors(userInvitationForm) }}
                {% if (userInvitation.getPersonType().name == 'COMPANY') %}
                    {% include 'external_user/form/user_invitation/company_user_invitation_form.html.twig' with {'form': userInvitationForm} only %}
                {% elseif (userInvitation.getPersonType().name == 'NATURAL_PERSON') %}
                    {% include 'external_user/form/user_invitation/natural_person_user_invitation_form.html.twig' with {'form': userInvitationForm} only %}
                {% endif %}
                {{ form_row(userInvitationForm._token) }}
                {{ form_end(userInvitationForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
